


# La version compatible de docker https://docs.docker.com/compose/compose-file/compose-file-v3/
version: '3.8'
 
services:
  
  php-fpm: # Nom du docker compose (1er container)
    build: ./ # Specifier le chemain d'accès du Dockerfile: pour notre cas, les instructions a executer se trouvent à la racine du projet. [php] si on avais mis le Dockerfile dans un dossier php
    ports: # Le port d'accés de notre container
      - 5000:8000
    volumes: # Qu'allons nous mettre dans le container ? REP: je mets les installations de dockerfile [/var/www/html] dans build [./]
      - ./:/var/www/html
  
  ###Container MYSQL###
  mysql: # Nom du 2eme container 
    image: mysql # L'image est appelé depuis https://hub.docker.com/_/mysql
    command: --default-authentication-plugin=mysql_native_password
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: root # Password
      MYSQL_DATABASE: left # Nom de la bd
      #MYSQL_ALLOW_EMPTY_PASSWORD: 'yes' # Autoriser sans mot de passe

  ###Container PHPMYADMIN###
  phpmyadmin:
    depends_on:
      - mysql # Lancement de phpmyadmin depend de la base de donnée
    image: phpmyadmin
    restart: always
    ports:
      - '8080:80'
    environment:
      PMA_HOST: mysql # Spécifier le host